Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in tiff
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in tiff
ID: openSUSE-SU-2018:2880-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3
Datum: Mi, 26. September 2018, 22:48
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5319
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-17942
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-10779
Applikationen: libtiff

Originalnachricht

   openSUSE Security Update: Security update for tiff
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:2880-1
Rating: moderate
References: #1074186 #1092480 #983440
Cross-References: CVE-2016-5319 CVE-2017-17942 CVE-2018-10779

Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for tiff fixes the following issues:

Security issues fixed:

- CVE-2018-10779: Fixed a heap-based buffer overflow in
TIFFWriteScanline() in tif_write.c (bsc#1092480)
- CVE-2017-17942: Fixed a heap-based buffer overflow in the function
PackBitsEncode in tif_packbits.c. (bsc#1074186)
- CVE-2016-5319: Fixed a beap-based buffer overflow in bmp2tiff
(bsc#983440)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-1056=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libtiff-devel-4.0.9-34.1
libtiff5-4.0.9-34.1
libtiff5-debuginfo-4.0.9-34.1
tiff-4.0.9-34.1
tiff-debuginfo-4.0.9-34.1
tiff-debugsource-4.0.9-34.1

- openSUSE Leap 42.3 (x86_64):

libtiff-devel-32bit-4.0.9-34.1
libtiff5-32bit-4.0.9-34.1
libtiff5-debuginfo-32bit-4.0.9-34.1


References:

https://www.suse.com/security/cve/CVE-2016-5319.html
https://www.suse.com/security/cve/CVE-2017-17942.html
https://www.suse.com/security/cve/CVE-2018-10779.html
https://bugzilla.suse.com/1074186
https://bugzilla.suse.com/1092480
https://bugzilla.suse.com/983440

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung